Main Restorations Software Audio/Jukebox/MP3 Everything Else Buy/Sell/Trade
Project Announcements Monitor/Video GroovyMAME Merit/JVL Touchscreen Meet Up Retail Vendors
Driving & Racing Woodworking Software Support Forums Consoles Project Arcade Reviews
Automated Projects Artwork Frontend Support Forums Pinball Forum Discussion Old Boards
Raspberry Pi & Dev Board controls.dat Linux Miscellaneous Arcade Wiki Discussion Old Archives
Lightguns Arcade1Up --- Bug Reports --- Site News

Unread posts | New Replies | Recent posts | Rules | Chatroom | Wiki | File Repository | RSS | Submit news

  

Author Topic: Have OLD roms (0.36)... looking for Ubuntu-compatible version of MAME  (Read 2130 times)

0 Members and 1 Guest are viewing this topic.

Dougmeister

  • Trade Count: (+1)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 333
  • Last login:July 27, 2018, 05:44:52 pm
  • Dig-Doug
I found SDLMame, but I don't know if they have versions of the executable that would work with my ancient ROMs.

(I am using a very old laptop and had to install Ubuntu on it; nothing else would work. I haven't updated my ROMs in about, oh, 10 years or so?)

Where can I get a Ubuntu version of MAME? Thanks.

Locke141

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 1595
  • Last login:Today at 07:37:23 am
  • Never grow up.
Re: Have OLD roms (0.36)... looking for Ubuntu-compatible version of MAME
« Reply #1 on: November 20, 2017, 10:55:52 pm »
If I was you I would go find a newer used computer and a newer set of rom's. You should be able to find both for free. Check crigslist or Goodwill for a new old PC and get ubuntu and Attract mode. Just google for a newer rom set.

I would definitely not even try to do the following, as it would be a lot more work, I'm not even 100% sure how to do it, and it would be much harder then what I suggested above. But if you really want to stick with what you have then FreeDOS may be a better OS for this. Get the old 0.36 MAME for DOS from here, and you could probably get an old DOS FE like Advancemame or ArcadeOS. Again, this is a really bad idea, and it would be a lot of work for something out of date and worse in ever way.
« Last Edit: November 20, 2017, 11:12:24 pm by Locke141 »

loupg

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 51
  • Last login:November 24, 2018, 07:42:36 am
Re: Have OLD roms (0.36)... looking for Ubuntu-compatible version of MAME
« Reply #2 on: December 21, 2017, 12:19:45 am »
Here's a link to the MAME 0.36 source: https://mirrors.xmission.com/mame/releases/mame036s.zip

I've not tried to compile it from source, so I'm not sure what issues you might run into, but that would likely be your only way to get 0.36 running in Ubuntu.

Robbbert

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 101
  • Last login:Today at 04:51:32 pm
Re: Have OLD roms (0.36)... looking for Ubuntu-compatible version of MAME
« Reply #3 on: December 21, 2017, 04:55:02 pm »
That laptop would have to be really ancient to not be able to run Windows. I've got something from last century and it runs Windows 2000 Pro just fine, which doesn't require validation, and will run MAME up to 0.169 . XP would be better of course, since even the latest MAME will work on it.